Package org.postgresql.jdbc

# Enum SslMode

java.lang.Object
java.lang.Enum<SslMode>
org.postgresql.jdbc.SslMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SslMode>`, `java.lang.constant.Constable`

public enum SslMode extends Enum<SslMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOW`
Start with non-encrypted connection, then try encrypted one.
`DISABLE`
Do not use encrypted connections.
`PREFER`
Start with encrypted connection, fallback to non-encrypted (default).
`REQUIRE`
Ensure connection is encrypted.
`VERIFY_CA`
Ensure connection is encrypted, and client trusts server certificate.
`VERIFY_FULL`
Ensure connection is encrypted, client trusts server certificate, and server hostname matches the one listed in the server certificate.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`value`
`static final SslMode[]`
`VALUES`

## Method Summary

Modifier and Type
Method
Description
`static SslMode`
`of(Properties info)`
`boolean`
`requireEncryption()`
`static SslMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SslMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
`boolean`
`verifyCertificate()`
`boolean`
`verifyPeerName()`

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISABLE

public static final SslMode DISABLE
Do not use encrypted connections.

### ALLOW

public static final SslMode ALLOW
Start with non-encrypted connection, then try encrypted one.

### PREFER

public static final SslMode PREFER
Start with encrypted connection, fallback to non-encrypted (default).

### REQUIRE

public static final SslMode REQUIRE
Ensure connection is encrypted.

### VERIFY_CA

public static final SslMode VERIFY_CA
Ensure connection is encrypted, and client trusts server certificate.

### VERIFY_FULL

public static final SslMode VERIFY_FULL
Ensure connection is encrypted, client trusts server certificate, and server hostname matches the one listed in the server certificate.

## Field Details

### VALUES

public static final SslMode[] VALUES

### value

public final String value

## Method Details

### values

public static SslMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SslMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### requireEncryption

public boolean requireEncryption()

### verifyCertificate

public boolean verifyCertificate()

### verifyPeerName

public boolean verifyPeerName()

### of

public static SslMode of(Properties info) throws PSQLException

Throws:
  `PSQLException`